Summary: The GNU Image Manipulation Program
Name: gimp
Version: 1.0.0
Release: 1
Copyright: GPL for apps, LGPL for libs
Group: X11/Applications/Graphics
URL: http://www.gimp.org/
Source: ftp://ftp.gimp.org/pub/gimp/v1.0/v%{version}/%{name}-%{version}.tar.gz
Source1: gimp.wmconfig
Source2: wilbur.xpm
Source3: mini-wilbur.xpm
BuildRoot: /tmp/%{name}-%{version}-root
Obsoletes: gimp-data-min
Requires: gtk+ >= 1.0.4, libpng >= 1.0.1, gimp-libgimp = %{version}


%changelog
* Wed Jun 03 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Finally - gimp 1.0 is here :)
- changed 0.99 to 1.0 in a path

* Wed May 26 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Removed old changelog entries (from April and earlier)
- Built on a Red Hat 5.1 system - you now need libjpeg 6b
  and libpng 1.0.1
- versioned buildroot
- updated a few macros (version,name,SOURCEX,).
- Made gimp itself require gimp-libgimp
- Moved some libs which strangely ends up in the plugins dir to /usr/lib
- Removed the "Packager: "-field.


* Sun May 17 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Didn't include gimptool
- changed the specfile a little bit - now needs rpm 2.5.x

* Sun May 17 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.31


%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package devel
Summary: GIMP plugin and extension development kit
Group: X11/Applications/Graphics
Requires: gtk+-devel, %{name} = %{version}
Prereq: /sbin/install-info

%description devel
Static libraries and header files for writing GIMP plugins and extensions.


%package libgimp
Summary: GIMP libraries
Group: X11/Applications/Graphics
Copyright: LGPL
%description libgimp
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/include \
	$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/etc/X11/wmconfig \
	$RPM_BUILD_ROOT/usr/share/icons/mini
make prefix=$RPM_BUILD_ROOT/usr install
mv $RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins/*.a $RPM_BUILD_ROOT/usr/lib/

strip $RPM_BUILD_ROOT/usr/bin/gimp
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/mini/
gzip -f9 $RPM_BUILD_ROOT/usr/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
#/sbin/install-info --section="GIMP" --entry="* PDB: (pdb).          The GIMP procedural database." /usr/info/pdb.info.gz /usr/info/dir


%post libgimp -p /sbin/ldconfig
%postun libgimp -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%config /etc/X11/wmconfig/gimp
%doc AUTHORS COPYING ChangeLog NEWS README TODO docs
/usr/share/*
/usr/bin/*
/usr/lib/gimp/*
/usr/man

%files devel
%defattr(-,root,root)
/usr/lib/lib*a
/usr/include/*
/usr/lib/lib*.so

%files libgimp
%defattr(-,root,root)
/usr/lib/lib*.so.*
